PrefabFiles = {
	"koli",
	"koli_none",
	"bflare",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/koli.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/koli.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/koli.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/koli.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/koli_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/koli_silho.xml" ),

    Asset( "IMAGE", "bigportraits/koli.tex" ),
    Asset( "ATLAS", "bigportraits/koli.xml" ),
	
	Asset( "IMAGE", "images/map_icons/koli.tex" ),
	Asset( "ATLAS", "images/map_icons/koli.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_koli.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_koli.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_koli.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_koli.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_koli.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_koli.xml" ),
	
	Asset( "IMAGE", "images/names_koli.tex" ),
    Asset( "ATLAS", "images/names_koli.xml" ),
	
	Asset( "IMAGE", "images/names_gold_koli.tex" ),
    Asset( "ATLAS", "images/names_gold_koli.xml" ),
	
    Asset( "IMAGE", "bigportraits/koli_none.tex" ),
    Asset( "ATLAS", "bigportraits/koli_none.xml" ),

}

AddMinimapAtlas("images/map_icons/koli.xml")

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

STRINGS.NAMES.bflare = "Burnish Flare"
STRINGS.NAMES.BFLARE = "Burnish Flare"
STRINGS.RECIPE_DESC.bflare = "The flame of burnish."
STRINGS.RECIPE_DESC.BFLARE = "The flame of burnish."

-- The character select screen lines
STRINGS.CHARACTER_TITLES.koli = "The chibi Mad Burnish Leader"
STRINGS.CHARACTER_NAMES.koli = "koli"
STRINGS.CHARACTER_DESCRIPTIONS.koli = "*Still Lio Fotia but in a smaller size.\n*Never realize what he is doing.\n*Great inflammation is fine."
STRINGS.CHARACTER_QUOTES.koli = "\"Lio Fotia's chibi version.\""

-- Custom speech strings
STRINGS.CHARACTERS.KOLI = require "speech_koli"

-- The character's name as appears in-game 
STRINGS.NAMES.KOLI = "koli"

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("koli", "MALE")

--dumb fix because Klei is dumb and changed the way bigportraits work without adjusting the API
--I hope this will be redundant in an update, but considering how long it's been since the issue came up, I doubt it. -M
-- Set this to use the correct (oval) bigportrait in the new character select screen. The old (square) bigportrait is still used for Inspect.
GLOBAL.PREFAB_SKINS["koli"] = {"koli_none"}
GLOBAL.PREFAB_SKINS_IDS["koli"] = {["koli_none"] = 1}
